/*
** main.c
**
** Nokia 51010 Example Program
** Target: ATMEGA :: AVR-GCC
**
** Written by Tony Myatt - 2007
** Quantum Torque - www.quantumtorque.com
*/
#include <avr/io.h>
#include <avr/interrupt.h>
#include <util/delay.h>
#include <avr/pgmspace.h>
#include <stdio.h>
#include "lcd.h"

/* main -- Program starts here */
int main(void)
{	
	direction d = RIGHT;
	// Setup LCD
	
	lcd_init();
	lcd_contrast(0x40);
	
	//setez butoanele
	DDRB &= ~(1 << PB7);
	DDRB &= ~(1 << PB6);
	DDRB &= ~(1 << PB5);
	DDRB &= ~(1 << PB4);

	/* Activez rezistenta de pull-up pentru butoane. */
	PORTB |= (1 << PB7);
	PORTB |= (1 << PB6);
	PORTB |= (1 << PB5);
	PORTB |= (1 << PB4);

	while (1) {
		lcd_str("Andrei Ioneanu 334CA PM2017");
		_delay_ms(500);
		lcd_clear();
		if (((PINB & (1 << PB7)) == 0) || ((PINB & (1 << PB6)) == 0) || ((PINB & (1 << PB5)) == 0) || ((PINB & (1 << PB4)) == 0))
			break;
	}
	
}
